org.keycloak.cluster.infinispan

## Class InfinispanNotificationsManager

- java.lang.Object
- - org.keycloak.cluster.infinispan.InfinispanNotificationsManager

-     public class InfinispanNotificationsManager
      extends Object

  Impl for sending infinispan messages across cluster and listening to them
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InfinispanNotificationsManager.CacheEntryListener`
    `class` | `InfinispanNotificationsManager.HotRodListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InfinispanNotificationsManager(org.infinispan.Cache<String,Serializable> workCache, org.infinispan.client.hotrod.RemoteCache workRemoteCache, String myAddress, String mySite, ExecutorService listenersExecutor)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InfinispanNotificationsManager` | `create(KeycloakSession session, org.infinispan.Cache<String,Serializable> workCache, String myAddress, String mySite, Set<org.infinispan.persistence.remote.RemoteStore> remoteStores)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### InfinispanNotificationsManager

          protected InfinispanNotificationsManager(org.infinispan.Cache<String,Serializable> workCache,
                                                   org.infinispan.client.hotrod.RemoteCache workRemoteCache,
                                                   String myAddress,
                                                   String mySite,
                                                   ExecutorService listenersExecutor)

  - ### Method Detail

    - #### create

          public static InfinispanNotificationsManager create(KeycloakSession session,
                                                              org.infinispan.Cache<String,Serializable> workCache,
                                                              String myAddress,
                                                              String mySite,
                                                              Set<org.infinispan.persistence.remote.RemoteStore> remoteStores)

Copyright © 2020 JBoss by Red Hat. All rights reserved.